# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "ipfs-mfs"
version = "0.3.0"
authors = ["Julius Michaelis <gitter@liftm.de>"]
description = "A slightly more ergonomic wrapper for ipfs-api's mfs-related functions"
documentation = "https://docs.rs/ipfs-mfs/"
readme = "README"
keywords = ["ipfs", "mfs"]
license = "MIT"
repository = "https://github.com/jcaesar/ftp2mfs"
resolver = "2"

[lib]
name = "mfs"
path = "lib.rs"
[dependencies.bytes]
version = "1.0.1"

[dependencies.failure]
version = "0.1.8"

[dependencies.futures]
version = "0.3.15"

[dependencies.futures-core]
version = "0.3.15"

[dependencies.futures-util]
version = "0.3.15"

[dependencies.http]
version = "0.2.4"

[dependencies.ipfs-api]
version = "0.11.0"
features = ["builder"]

[dependencies.thiserror]
version = "1.0.25"
[dev-dependencies.anyhow]
version = "1.0.41"

[dev-dependencies.rand]
version = "0.8.4"

[dev-dependencies.tokio]
version = "1.7.1"
features = ["full", "macros"]
